#ifndef __WV_BUFFER
#define __WV_BUFFER

#include "Common.h"

#define ResetBuffer(lpBuffer)		(lpBuffer)->cOffset = 0
#define InitializeBuffer(lpBuffer)	ZeroMemory((lpBuffer), sizeof(BUFFER))

LPBUFFER	CreateBuffer(ULONG cSize);
BOOL		AllocBuffer(LPBUFFER lpBuf, ULONG cSize);
BOOL		AssignPtr(LPBUFFER lpBuf, LPBYTE lpData, ULONG cSize);
BOOL		JobDone(LPBUFFER lpBuf, ULONG uProcessed, ULONG uMaxPacketSize);
VOID		FreeBuffer(LPBUFFER lpBuf);


#endif	// __WV_BUFFER